#1383 closed defect (fixed)

filesystem off_t is limited to 32bits

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: chrisj@…, vattam.santosh@… Blocked By:
Blocking:

Description

RTEMS internally should support a 64bit offset for all file system operations. The current off_t is 32bit and so limits the devices supported by the device I/O interface to ~2G. These days 8G flash cards are common.

Please note this does not relate to the external standard interface to the file system only the internal RTEMS code.

The major issue is a suitable type to use.

Change History (3)

comment:1 Changed on Mar 5, 2009 at 8:05:55 PM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Mar 7, 2009 at 12:37:22 PM by Santosh Vattam

Cc: Santosh Vattam added

comment:3 Changed on May 1, 2009 at 9:43:49 PM by Chris Johns

Resolution: fixed
Status: newclosed

Added rtems_off64_t and updated the internal file system handlers to support it.

Note: See TracTickets for help on using tickets.